[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TWaitResult

Unix wait result

## Declaration

Source position: syncobjs.pp line 31

`type TWaitResult = (`
`wrSignaled,` |  | Event was signaled (triggered)
`wrTimeout,` |  | Time-out period expired
`wrAbandoned,` |  | Wait operation was abandoned.
`wrError` |  | An error occurred during the wait operation.
`);`

## Description

TWaitResult is used to report the result of a wait operation.

## See also

TEventObject.WaitFor |  | Wait for the event to be set.

Documentation generated on: Feb 26 2014